#!/bin/bash
app=${name}.jar
pid=`ps -ef|grep \$app|grep -v "grep"|awk '{print \$2}'`
if [ -z \$pid ]
then
  nohup java -cp \$app -Dxms.secret.mech=SM3 -Ddb.matcher=CONTAINING -Dloader.path=lib -Dfile.encoding="UTF-8" org.springframework.boot.loader.PropertiesLauncher &
  echo 'Start service ok!'
else
  echo 'Error: service is started!'
fi
