package llh.svs.allinone

import org.slf4j.LoggerFactory
import org.springframework.boot.CommandLineRunner
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication

@SpringBootApplication
class SvsInitApplication : CommandLineRunner {
    override fun run(vararg args: String?) {
        log.info("!!!!!! SVS DB Initialize Success! !!!!!!")
    }

    companion object {
        private val log = LoggerFactory.getLogger(SvsInitApplication::class.java)
    }
}

fun main(args: Array<String>) {
    runApplication<SvsInitApplication>(*args)
}
