package llh.svs.core.services.schedule.dao

import llh.svs.core.services.schedule.entity.SvsScheduleTask
import org.springframework.data.jpa.repository.JpaRepository

interface SvsScheduleTaskDAO : JpaRepository<SvsScheduleTask, String> {

    fun findByTaskClassName(className: String): SvsScheduleTask

    fun findByStatus(status: String): List<SvsScheduleTask>

}
