package llh.svs.core.services.schedule.support

/**
 * 定时任务接口
 */
interface ScheduledTask : Runnable {

    /**
     * 定时任务方法
     */
    fun execute()

    /**
     * 实现控制定时任务启用或禁用的功能
     */
    override fun run() {
        execute()
    }
}
