package llh.svs.core.services.sys

import org.springframework.boot.context.properties.ConfigurationProperties

@ConfigurationProperties(prefix = "svs.service.system")
class SystemConfiguration {
    /**
     * 数据库备份相关信息设置
     */
    var dbBackup: DatabaseConfig? = null

    /**
     * 数据库配置信息类
     */
    class DatabaseConfig {
        //备份文件存放位置
        var filepath: String? = null
    }
}
