package llh.svs.core.services.sys.support

import llh.svs.core.services.schedule.support.ScheduledTask
import llh.svs.core.services.sys.service.DBBackupService
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Component

/**
 * 数据库自动备份
 */
@Component
class DBBackupScheduleTask : ScheduledTask {

    @Autowired
    lateinit var service: DBBackupService

    override fun execute() {
        service.backupDatabase(file = null)
    }
}
