drop table IF EXISTS SVS_TASK_LOG $$
drop table IF EXISTS SVS_SCHEDULE_TASK $$

create table SVS_TASK_LOG
(
    TASK_ID    varchar(48) not null primary key,
    TASK_TYPE  varchar(48),
    DATA_TYPE  varchar(48),
    STATUS     varchar(48),
    PROGRESS   int(5),
    SUMMARY    varchar(255),
    START_TIME datetime(0) null default null,
    END_TIME   datetime(0) null default null,
    FILE_PATH  varchar(500),
    FILE_TYPE  varchar(48),
    EXTRA      varchar(255),
    REMARK     varchar(255),
    CREATED_AT datetime(0),
    UPDATED_AT datetime(0)
) $$

create table SVS_SCHEDULE_TASK
(
    TASK_ID    varchar(48) not null primary key,
    TASK_CLASS_NAME  varchar(500),
    CRON_EXPRESSION  varchar(500),
    STATUS     varchar(48),
    REMARK     varchar(255),
    CREATED_AT datetime(0),
    UPDATED_AT datetime(0)
) $$
