plugins {
    `java-platform`
}
javaPlatform.allowDependencies()

dependencies {
    // The platform declares constraints on all components that

    // require alignment
    constraints {
//        api(project(":shared"))
        api("org.bouncycastle:bcprov-jdk15on:1.68")
        api("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.5.0")
        api("org.jetbrains.kotlinx:kotlinx-coroutines-reactive:1.5.0")
        api("org.apache.commons:commons-dbcp2:2.7.0")
        api("commons-io:commons-io:2.6")
        api("net.sourceforge.jexcelapi:jxl:2.6.12")
        api("com.alibaba:fastjson:${property("fastjsonVersion")}")
        api("io.jsonwebtoken:jjwt-api:${property("jjwtVersion")}")
        api("io.jsonwebtoken:jjwt-impl:${property("jjwtVersion")}")
        api("io.jsonwebtoken:jjwt-jackson:${property("jjwtVersion")}")
        api("cc-lotus.gaf3:gaf-core-shared:${property("gafVersion")}")
        api("cc-lotus.gaf3:gaf-core-services:${property("gafVersion")}")
        api("cc-lotus.gaf3:gaf-core-gateway:${property("gafVersion")}")
    }
}
