package llh.svs.core.services.schedule

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.autoconfigure.domain.EntityScan
import org.springframework.boot.runApplication
import org.springframework.data.jpa.repository.config.EnableJpaRepositories

@SpringBootApplication
@EntityScan(basePackages = ["llh.svs.core.services"])
@EnableJpaRepositories(basePackages = ["llh.svs.core.services"])
class ScheduleApplication {
}

fun main(args: Array<String>) {
    runApplication<ScheduleApplication>(*args)
}
