package llh.svs.core.services.schedule.entity

import gaf3.core.jpa.GafTimestamp
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.Id
import javax.persistence.Table

@Entity
@Table(name = "SVS_SCHEDULE_TASK")
class SvsScheduleTask : GafTimestamp() {

    /**
     * 定时任务ID
     */
    @Id
    @Column(name = "TASK_ID")
    var taskId: String? = null

    /**
     * 定时任务完整类名
     */
    @Column(name = "TASK_CLASS_NAME")
    var taskClassName: String? = null

    /**
     * 定时任务cron表达式
     */
    @Column(name = "CRON_EXPRESSION")
    var cronExpression: String? = null

    /**
     * 定时任务状态 0正常 1停用
     */
    @Column(name = "STATUS")
    var status: String? = null

    /**
     * 备注
     */
    @Column(name = "REMARK")
    var remark: String? = null

}
